Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
The program 'pcsx2' received an X Window System error.
#1
Hi. I have installed everything and everything went fine, exept this.
I don't realy know why it's do that way but i think it has to be with X server libs or something.
Do you know how to fix it?

I use Debian 7.

Code:
desktop@debian:~/Hämtningar/pcsx2-1.0.0$ ./launch_pcsx2_linux.sh
Interface is initializing.  Entering Pcsx2App::OnInit!
Applying operating system default language...
Loading language translation databases for 'Swedish' [sv_SE]
    pcsx2_Main not found -- translation dictionary may be incomplete.
    pcsx2_Iconized not found -- translation dictionary may be incomplete.
SetLanguage: Requested translation is not implemented yet.
Command line parsing...
Command line parsed!
Creating UserLocalData folder: /home/desktop/.config/pcsx2

(pcsx2:22423): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -5 and height 21

(pcsx2:22423): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -5 and height 21

(pcsx2:22423): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -5 and height 21

(pcsx2:22423): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -5 and height 21

(pcsx2:22423): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -5 and height 21

(pcsx2:22423): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -5 and height 21

(pcsx2:22423): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -5 and height 21
Loading language translation databases for 'Swedish' [sv_SE]
The program 'pcsx2' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadRequest (invalid request code or no such operation)'.
  (Details: serial 24 error_code 1 request_code 153 minor_code 34)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

/ Thank you.
Reply

Sponsored links

#2
you driver probably don t support opengl 3.3. You can use zzogl instead
Reply
#3
(08-11-2012, 10:26 AM)gregory Wrote: you driver probably don t support opengl 3.3. You can use zzogl instead

But where can i find the zzogl lib and how can i install it to debian 7?
I have been searching för zzogl.

Edit:

Do i need to download the file build.sh and the folder opengl from here?
http://188.134.4.34/svnroot/ruslan/zerogs/
Then just run build.sh?

Or is this wrong drivers?
Reply
#4
You already have it with others plugins. You can select it because you miss some dependencies like nvidia-cg-toolkit, libglew.
Use this script launch_pcsx2_linux.sh and it will yield the missing stuff.
Reply




Users browsing this thread: 1 Guest(s)